const ALIASES = {
	// SyrusLang
	"define variable": "set variable",
	"set @tracking_resolution": "set tracking_resolution",
	"set $io.out": "set out",
	"enable counters": "start counters",
	"disable counters": "stop counters",
	// GPS
	"set gnss": "exec apx-gps",
	// Power Save
	"get power_save mode": "exec apx-psm mode",
	"set power_save mode": "exec apx-psm mode",
	"set power_save immediate": "exec apx-psm immediate",
	"get power_save": "exec apx-psm",
	// SMS
	"send sms": "exec apx-mdm send_sms",
	// Calls
	"start call": "exec apx-mdm start_call",
	"end call": "exec apx-mdm end_call",
	// Speak - see bottom of file
	// Bluetooth
	"bluetooth": "exec apx-bt",
	// apx-imu
	"get accelerometer all": "exec apx-imu config_list",
	"get accelerometer": "exec apx-imu",
	"set accelerometer": "exec apx-imu",
	// IButton
	"add ibutton": "exec apx-onewire ibutton add",
	"remove ibutton": "exec apx-onewire ibutton remove",
	"remove ibuttons": "exec apx-onewire ibutton remove_all",
	"get ibutton": "exec apx-onewire ibutton get",
	"get ibuttons": "exec apx-onewire ibutton get_all",
	"clear ibutton": "exec apx-onewire ibutton remove_last",
	// RFID
	"add rfid": "exec apx-serial-rfid set",
	"clear rfid": "exec apx-serial-rfid clear --last",
	"remove rfid": "exec apx-serial-rfid remove",
	"remove rfids": "exec apx-serial-rfid remove --all",
	"get rfid": "exec apx-serial-rfid get --last",
	"get rfids": "exec apx-serial-rfid list",
	// Temperature
	"add temperature_sensor": "exec apx-onewire temperature add",
	"remove temperature_sensor": "exec apx-onewire temperature remove",
	"remove temperature_sensors": "exec apx-onewire temperature remove_all",
	"get temperature_sensor": "exec apx-onewire temperature get",
	"get temperature_sensors": "exec apx-onewire temperature get_all",
	"get temperature": "exec apx-onewire temperature get_last",
	// Satcom
	"clear satcom buffer": "exec apx-serial modem clear_buffer",
	"set satcom buffer_size": "exec apx-serial modem buffer_size",
	"get satcom buffer_size": "exec apx-serial modem buffer_size",
	// Fatigue sensor
	"get fatigue_sensor state": "exec apx-serial fatigue_sensor state",
	"set fatigue_sensor sensitivity": "exec apx-serial fatigue_sensor sensitivity",
	"set fatigue_sensor speaker_volume": "exec apx-serial fatigue_sensor speaker_volume",
	"set fatigue_sensor minimum_speed": "exec apx-serial fatigue_sensor min_speed",
	"set fatigue_sensor speeding_alarm": "exec apx-serial fatigue_sensor speeding",
	"set fatigue_sensor buffer_size": "exec apx-serial fatigue_sensor max_photos",
	"set fatigue_sensor autoupload": "exec apx-serial fatigue_sensor auto_upload",
	"capture fatigue_sensor photo": "exec apx-serial fatigue_sensor capture_photo",
	"clear fatigue_sensor buffer": "exec apx-serial fatigue_sensor delete_photos",
	// MDT
	"set mdt": "exec apx-serial mdt settings",
	"send mdt message": "exec apx-serial mdt send",
	// "upload fatigue_sensor photos": "apx-serial fatigue_sensor upload",
	// Modem
	"set airplane_mode": "exec apx-mdm airplane_mode",
	"set sim_switch_interval": "exec apx-mdm sim_sw_interval",
	// Phonebook
	"add phone": "exec apx-mdm phone_book add",
	"remove phone": "exec apx-mdm phone_book remove",
	"set call_validation": "exec apx-mdm call_validation",
	"set sms_validation": "exec apx-mdm sms_validation",
	// Video
	"start recording": "exec apx-video record --status=start",
	"stop recording": "exec apx-video record --status=stop",
	"create video": "exec apx-video create_clip",
	// Ethernet
	"enable ethernet": "exec apx-ethernet on",
	"disable ethernet": "exec apx-ethernet off",
	// Wifi
	"enable wifi": "exec apx-wifi start",
	"disable wifi": "exec apx-wifi stop",
	"restart wifi": "exec apx-wifi restart",
	// Hotspot
	"enable hotspot": "exec apx-hotspot start",
	"disable hotspot": "exec apx-hotspot stop",
	"restart hotspot": "exec apx-hotspot reset",
	
}

const SPEAK_LANGUAGES = [
	'en-US',
	'en-GB',
	'es-ES',
	'de-DE',
	'fr-FR',
	'it-IT',
]
const SPEAK_ALIASES = {}
for(const lang of SPEAK_LANGUAGES){
	const [first, _] = lang.split('-')
	const alias = `exec apx-tts ${lang}`
	SPEAK_ALIASES[`speak lang=${lang}`] = alias
	SPEAK_ALIASES[`speak ${lang}`] = alias
	// Space at the end is intentional
	if (SPEAK_ALIASES[`speak ${first}`]) continue
	SPEAK_ALIASES[`speak ${first}`] = alias
	SPEAK_ALIASES[`speak lang=${first}`] = alias
}
// Default speak
SPEAK_ALIASES['speak'] = `exec apx-tts ${SPEAK_LANGUAGES[0]}`
Object.assign(ALIASES, SPEAK_ALIASES, SPEAK_ALIASES)

const ALIAS_WS = {}
for (const alias in ALIASES){
	ALIAS_WS[`${alias} `] = `${ALIASES[alias]} `
}

export default ALIAS_WS
